import matplotlib.pyplot as plt
import numpy as np
x = np.linspace(-3, 3, 300)
huber = lambda x, delta: np.where(np.abs(x)<= delta, 0.5*x**2, 0.5*delta**2+delta*(np.abs(x)-delta))
plt.plot(x, huber(x, 0.5))
plt.plot(x, huber(x, 1))
plt.plot(x, huber(x, 2))
plt.plot(x, x**2, '--k')
plt.xlabel(r'$x$')
plt.ylabel(r'huber$(x,\Delta)$')
plt.legend([r'$\Delta=0.5$',r'$\Delta=1$',r'$\Delta=2$', r'$x^2$'])
plt.tight_layout()
plt.show()